package de.tud.getexample;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.impl.client.DefaultHttpClient;
import org.json.JSONException;
import org.json.JSONObject;


import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class GetActivity extends Activity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        
        final EditText edit = (EditText) findViewById(R.id.get_edit);
        Button btn = (Button) findViewById(R.id.get_btn);
        final TextView tv = (TextView) findViewById(R.id.get_tv);
        
        btn.setOnClickListener(new OnClickListener() {
			
			@Override
			public void onClick(View v) {
				Integer id = Integer.valueOf(edit.getText().toString());
				
				HttpClient httpClient = new DefaultHttpClient();
				HttpGet httpGet = new HttpGet("http://141.76.61.48:8002/photos?id="+id+"&format=json");
				HttpResponse response;
				try {
					httpGet.addHeader("Content-type", "application/json");
					httpGet.addHeader("Accept", "application/json");
					response = httpClient.execute(httpGet);
					HttpEntity entity = response.getEntity();
					if (entity != null) {
						InputStream instream = entity.getContent();
						BufferedReader reader = new BufferedReader(
								new InputStreamReader(instream));
						StringBuilder sb = new StringBuilder();
						String line = null;
						while ((line = reader.readLine()) != null)
							sb.append(line);
						String result = sb.toString();
						instream.close();
						JSONObject json = new JSONObject(result);
						JSONObject jsonPhoto = (JSONObject) json.getJSONArray("photos").get(0);
						json=  jsonPhoto.getJSONObject("photo");

						String title = json.getString("title").toString();
						tv.setText(title);
					}
				}catch (ClientProtocolException e) {
					Log.e("ClientProtocolException", e.getMessage());

				} catch (IOException e) {
					Log.e("IOException", e.getMessage());
				} catch (JSONException e) {
					Log.e("JSONException", e.getMessage());
				} catch (Exception e) {
					Log.e("Exception", e.getMessage());
				} finally {
					httpGet.abort();
				}
			}		
			});
        
        }
    }